IF NOT EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[mps_job_history]') AND type = 'U')
CREATE TABLE [dbo].[mps_job_history]
(
    [jb_id] bigint NOT NULL,
    [jb_cmpid] int NULL DEFAULT((0)),
    [jb_bcid] int NULL DEFAULT((0)),
    [jb_dpid] int NULL DEFAULT((0)),
    [jb_cuid] int NULL DEFAULT((0)),
    [jb_executor] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_crmid] int NULL DEFAULT((0)),
    [jb_ordtype] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_ordid] bigint NULL DEFAULT((0)),
    [jb_ordno] varchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_ordtitle] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_orddate] datetime NULL DEFAULT('1900-1-1'),
    [jb_ordcreator] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_wrkid] int NULL DEFAULT((0)),
    [jb_title] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_date] datetime NULL DEFAULT(getdate()),
    [jb_enddate] datetime NULL DEFAULT('1900-1-1'),
    [jb_wsid] int NULL DEFAULT((0)),
    [jb_wsstatus] nvarchar(60) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_isauto] int NULL DEFAULT((1)),
    [jb_templateid] int NULL DEFAULT((0)),
    [jb_fjbid] bigint NULL DEFAULT((0)),
    [jb_createcuid] int NULL DEFAULT((0)),
    [jb_creator] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_text] nvarchar(500) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_limitedtime] int NULL DEFAULT((0)),
    [jb_elapsedtime] int NULL DEFAULT((0)),
    [jb_sign] int NULL DEFAULT((1)),
    [jb_back] int NULL DEFAULT((1)),
    [jb_backinfo] nvarchar(200) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_ordstatus] nvarchar(30) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_ordkey] varchar(30) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_terminal] varchar(30) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_ip] varchar(30) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_lati] float NULL DEFAULT((0)),
    [jb_long] float NULL DEFAULT((0)),
    [jb_location] nvarchar(200) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_depart] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_branch] nvarchar(50) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [jb_wrktype] int NULL DEFAULT((0)),
    [jb_execnum] int NULL DEFAULT((0)),
    [jb_jbnid] bigint NULL DEFAULT((0)),
    CONSTRAINT [PK_MPS_JOB_HISTORY] PRIMARY KEY ([jb_id] ASC)
)